Module Module1

    Sub Main()
        Dim Obj As New ComponentClass()

        ' To działa tylko w niniejszym podzespole
        Obj.Status = 10

        ' To zawsze działa
        Console.WriteLine(Obj.Status)
    End Sub

End Module

Public Class ComponentClass

    Private _Status As Integer
    Public Property Status() As Integer
        Get
            Return _Status
        End Get
        Friend Set(ByVal value As Integer)
            _Status = value
        End Set
    End Property

End Class
